ListCustomDetectionRuleAssociations
Returns all custom detection rule associations for your account. You can filter by rule ID and mode.
Request Syntax
GET /custom-detection-rule/association?maxResults=MaxResults&mode=Mode&nextToken=NextToken&ruleId=RuleId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- MaxResults
-
The maximum number of results to return in a single page. Minimum value of 1, maximum value of 100.
Valid Range: Minimum value of 1. Maximum value of 100.
- Mode
-
The rule execution mode to filter associations by.
Valid Values:
LIVE | DRY_RUN - NextToken
-
A pagination token from a previous response. Use this token to retrieve the next page of results.
- RuleId
-
The unique identifier for the custom detection rule to filter associations by.
Length Constraints: Minimum length of 1. Maximum length of 100.
Pattern:
[a-z0-9]+(-[a-z0-9]+)*
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"ruleAssociations": [
{
"arn": "string",
"associationId": "string",
"createdAt": number,
"expiresAt": number,
"mode": "string",
"ruleId": "string",
"updatedAt": number
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
A pagination token to retrieve the next page of results. If this field is empty, there are no additional results.
Type: String
- ruleAssociations
-
A list of custom detection rule association summaries.
Type: Array of AssociationSummary objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
An access denied exception object.
- Message
-
The error message.
- Type
-
The error type.
HTTP Status Code: 403
- BadRequestException
-
A bad request exception object.
- Message
-
The error message.
- Type
-
The error type.
HTTP Status Code: 400
- InternalServerErrorException
-
An internal server error exception object.
- Message
-
The error message.
- Type
-
The error type.
HTTP Status Code: 500
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: